## org.apache.catalina.startup
Class NamingRuleSet

    java.lang.Object
      org.apache.commons.digester.RuleSetBase
          org.apache.catalina.startup.NamingRuleSet

All Implemented Interfaces:
  org.apache.commons.digester.RuleSet

public class NamingRuleSet
extends org.apache.commons.digester.RuleSetBase

RuleSet for processing the JNDI Enterprise Naming Context resource declaration elements.

Version:
  $Revision: 1.4 $ $Date: 2004/08/26 21:41:41 $
Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected java.lang.String` `prefix` The matching pattern prefix to use for recognizing our elements.

Fields inherited from class org.apache.commons.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`NamingRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`NamingRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` `addRuleInstances(org.apache.commons.digester.Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

Methods inherited from class org.apache.commons.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

Constructor Detail

### NamingRuleSet

    public NamingRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### NamingRuleSet

    public NamingRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(org.apache.commons.digester.Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.